<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" />

<xsl:template match="/">
	<xsl:apply-templates select="/menu"/>
	<xsl:apply-templates select="/submenu/*"/>
</xsl:template>

<xsl:template name="addbutton">
	<xsl:if test="@showadd = 'true'">
		<ul class="menu-submenu-add">
			<li class="menu-item-add" data-submenu="{@id}">
				<span class="menu-item-icon {@icon-class}" data-icon="add" />
				<xsl:value-of select="@add_" />
			</li>
		</ul>
	</xsl:if>
</xsl:template>

<xsl:template name="menuitem">
	<li class="menu-item" data-id="{@id}" data-broken="{@broken}">
		<div class="menu-item-title">
			<span class="menu-item-icon {@icon-class}" style="background-image: url('/images/{@icon}')" />
			<xsl:value-of select="@title" />
		</div>
	</li>
</xsl:template>

<xsl:template match="menuitem">
	<xsl:call-template name="menuitem" />
</xsl:template>

<xsl:template match="submenu">
	<li class="menu-item" data-id="{@id}" data-broken="{@broken}">
		<div class="menu-item-title">
			<span class="menu-item-icon {@icon-class}" style="background-image: url('/images/{@icon}')" />
			<xsl:value-of select="@title" />
		</div>
		<xsl:if test="count(*)!=0">
			<div class="menu-submenu-show" data-submenu="{@id}"><span class="ui-icon ui-icon-triangle-1-s" /></div>
		</xsl:if>
	</li>
	<xsl:call-template name="addbutton" />
	<ul class="menu-submenu" data-id="{@id}">
		<xsl:apply-templates select="*" />
	</ul>
</xsl:template>

<xsl:template match="/menu">
	
	<nav class="ui-widget">
	
	<xsl:for-each select="submenu">

		<div class="menu-navigation">

			<div class="menu-topic ui-widget-header ui-state-default ui-corner-all" data-submenu="{@id}">
				<div class="menu-topic-title">
					<span class="menu-topic-icon {@icon-class}" style="background-image: url('/images/{@icon}')"/>
					<span><xsl:value-of select="@title" /></span>
				</div>

				<div class="menu-topic-button menu-topic-ok"><span class="ui-icon ui-icon-circle-check" /></div>
								
				<xsl:if test="count(*)!=0 or @showadd='true'">
					<div class="menu-topic-button menu-topic-show"><span class="ui-icon ui-icon-triangle-1-e" /></div>
				</xsl:if>
			</div>

			<xsl:if test="count(*)!=0 or @showadd='true'">
				<div class="menu-items ui-widget-content ui-corner-bottom">
					<xsl:call-template name="addbutton" />
					<ul class="menu-submenu" data-id="{@id}">
						<xsl:apply-templates select="*" />
					</ul>
				</div>
			</xsl:if>

		</div>
		
	</xsl:for-each>
	
	</nav>

</xsl:template>

</xsl:stylesheet>
